package org.w3c.dom.html;

import org.w3c.dom.NodeList;
import org.w3c.dom.Document;

public interface HTMLDocument extends Document
{
    public abstract String getTitle();
    
    public abstract void setTitle(String p0);
    
    public abstract String getReferrer();
    
    public abstract String getDomain();
    
    public abstract String getURL();
    
    public abstract HTMLElement getBody();
    
    public abstract void setBody(HTMLElement p0);
    
    public abstract HTMLCollection getImages();
    
    public abstract HTMLCollection getApplets();
    
    public abstract HTMLCollection getLinks();
    
    public abstract HTMLCollection getForms();
    
    public abstract HTMLCollection getAnchors();
    
    public abstract String getCookie();
    
    public abstract void setCookie(String p0);
    
    public abstract void open();
    
    public abstract void close();
    
    public abstract void write(String p0);
    
    public abstract void writeln(String p0);
    
    public abstract NodeList getElementsByName(String p0);
}
